DescriptorProtos.FileDescriptorProto.Builder
Date: 2017-07-08

com.google.protobuf

## Class DescriptorProtos.FileDescriptorProto.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>
      - - com.google.protobuf.DescriptorProtos.FileDescriptorProto.Builder

- All Implemented Interfaces:
    DescriptorProtos.FileDescriptorProtoOrBuilder, Message.Builder, MessageLite.Builder, MessageLiteOrBuilder, MessageOrBuilder, java.lang.Cloneable
  Enclosing class:
    DescriptorProtos.FileDescriptorProto

      public static final class DescriptorProtos.FileDescriptorProto.Builder
      extends GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>
      implements DescriptorProtos.FileDescriptorProtoOrBuilder

       Describes a complete .proto file.

  Protobuf type `google.protobuf.FileDescriptorProto`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescriptorProtos.FileDescriptorProto.Builder` | `addAllDependency(java.lang.Iterable<java.lang.String> values)` Names of files imported by this file.
    `DescriptorProtos.FileDescriptorProto.Builder` | `addAllEnumType(java.lang.Iterable<? extends DescriptorProtos.EnumDescriptorProto> values)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `addAllExtension(java.lang.Iterable<? extends DescriptorProtos.FieldDescriptorProto> values)` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `addAllMessageType(java.lang.Iterable<? extends DescriptorProtos.DescriptorProto> values)` All top-level definitions in this file.
    `DescriptorProtos.FileDescriptorProto.Builder` | `addAllPublicDependency(java.lang.Iterable<? extends java.lang.Integer> values)` Indexes of the public imported files in the dependency list above.
    `DescriptorProtos.FileDescriptorProto.Builder` | `addAllService(java.lang.Iterable<? extends DescriptorProtos.ServiceDescriptorProto> values)` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `addAllWeakDependency(java.lang.Iterable<? extends java.lang.Integer> values)` Indexes of the weak imported files in the dependency list.
    `DescriptorProtos.FileDescriptorProto.Builder` | `addDependency(java.lang.String value)` Names of files imported by this file.
    `DescriptorProtos.FileDescriptorProto.Builder` | `addDependencyBytes(ByteString value)` Names of files imported by this file.
    `DescriptorProtos.FileDescriptorProto.Builder` | `addEnumType(DescriptorProtos.EnumDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `addEnumType(DescriptorProtos.EnumDescriptorProto value)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `addEnumType(int index, DescriptorProtos.EnumDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `addEnumType(int index, DescriptorProtos.EnumDescriptorProto value)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `addEnumTypeBuilder()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `addEnumTypeBuilder(int index)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `addExtension(DescriptorProtos.FieldDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `addExtension(DescriptorProtos.FieldDescriptorProto value)` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `addExtension(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `addExtension(int index, DescriptorProtos.FieldDescriptorProto value)` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.FieldDescriptorProto.Builder` | `addExtensionBuilder()` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.FieldDescriptorProto.Builder` | `addExtensionBuilder(int index)` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `addMessageType(DescriptorProtos.DescriptorProto.Builder builderForValue)` All top-level definitions in this file.
    `DescriptorProtos.FileDescriptorProto.Builder` | `addMessageType(DescriptorProtos.DescriptorProto value)` All top-level definitions in this file.
    `DescriptorProtos.FileDescriptorProto.Builder` | `addMessageType(int index, DescriptorProtos.DescriptorProto.Builder builderForValue)` All top-level definitions in this file.
    `DescriptorProtos.FileDescriptorProto.Builder` | `addMessageType(int index, DescriptorProtos.DescriptorProto value)` All top-level definitions in this file.
    `DescriptorProtos.DescriptorProto.Builder` | `addMessageTypeBuilder()` All top-level definitions in this file.
    `DescriptorProtos.DescriptorProto.Builder` | `addMessageTypeBuilder(int index)` All top-level definitions in this file.
    `DescriptorProtos.FileDescriptorProto.Builder` | `addPublicDependency(int value)` Indexes of the public imported files in the dependency list above.
    `DescriptorProtos.FileDescriptorProto.Builder` | `addRepeatedField(Descriptors.FieldDescriptor field, java.lang.Object value)` Like `setRepeatedField`, but appends the value as a new element.
    `DescriptorProtos.FileDescriptorProto.Builder` | `addService(DescriptorProtos.ServiceDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `addService(DescriptorProtos.ServiceDescriptorProto value)` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `addService(int index, DescriptorProtos.ServiceDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `addService(int index, DescriptorProtos.ServiceDescriptorProto value)` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `addServiceBuilder()` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `addServiceBuilder(int index)` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `addWeakDependency(int value)` Indexes of the weak imported files in the dependency list.
    `DescriptorProtos.FileDescriptorProto` | `build()` Constructs the message based on the state of the Builder.
    `DescriptorProtos.FileDescriptorProto` | `buildPartial()` Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
    `DescriptorProtos.FileDescriptorProto.Builder` | `clear()` Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
    `DescriptorProtos.FileDescriptorProto.Builder` | `clearDependency()` Names of files imported by this file.
    `DescriptorProtos.FileDescriptorProto.Builder` | `clearEnumType()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `clearExtension()` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `clearField(Descriptors.FieldDescriptor field)` Clears the field.
    `DescriptorProtos.FileDescriptorProto.Builder` | `clearMessageType()` All top-level definitions in this file.
    `DescriptorProtos.FileDescriptorProto.Builder` | `clearName()` file name, relative to root of source tree
    `DescriptorProtos.FileDescriptorProto.Builder` | `clearOneof(Descriptors.OneofDescriptor oneof)` TODO(jieluo): Clear it when all subclasses have implemented this method.
    `DescriptorProtos.FileDescriptorProto.Builder` | `clearOptions()` `optional .google.protobuf.FileOptions options = 8;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `clearPackage()` e.g.
    `DescriptorProtos.FileDescriptorProto.Builder` | `clearPublicDependency()` Indexes of the public imported files in the dependency list above.
    `DescriptorProtos.FileDescriptorProto.Builder` | `clearService()` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `clearSourceCodeInfo()` This field contains optional information about the original source code.
    `DescriptorProtos.FileDescriptorProto.Builder` | `clearSyntax()` The syntax of the proto file.
    `DescriptorProtos.FileDescriptorProto.Builder` | `clearWeakDependency()` Indexes of the weak imported files in the dependency list.
    `DescriptorProtos.FileDescriptorProto.Builder` | `clone()` Clones the Builder.
    `DescriptorProtos.FileDescriptorProto` | `getDefaultInstanceForType()` Get an instance of the type with no fields set.
    `java.lang.String` | `getDependency(int index)` Names of files imported by this file.
    `ByteString` | `getDependencyBytes(int index)` Names of files imported by this file.
    `int` | `getDependencyCount()` Names of files imported by this file.
    `ProtocolStringList` | `getDependencyList()` Names of files imported by this file.
    `static Descriptors.Descriptor` | `getDescriptor()`
    `Descriptors.Descriptor` | `getDescriptorForType()` Get the message's type's descriptor.
    `DescriptorProtos.EnumDescriptorProto` | `getEnumType(int index)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.EnumDescriptorProto.Builder` | `getEnumTypeBuilder(int index)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `java.util.List<DescriptorProtos.EnumDescriptorProto.Builder>` | `getEnumTypeBuilderList()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `int` | `getEnumTypeCount()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `java.util.List<DescriptorProtos.EnumDescriptorProto>` | `getEnumTypeList()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.EnumDescriptorProtoOrBuilder` | `getEnumTypeOrBuilder(int index)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `java.util.List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder>` | `getEnumTypeOrBuilderList()` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.FieldDescriptorProto` | `getExtension(int index)` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.FieldDescriptorProto.Builder` | `getExtensionBuilder(int index)` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `java.util.List<DescriptorProtos.FieldDescriptorProto.Builder>` | `getExtensionBuilderList()` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `int` | `getExtensionCount()` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `java.util.List<DescriptorProtos.FieldDescriptorProto>` | `getExtensionList()` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.FieldDescriptorProtoOrBuilder` | `getExtensionOrBuilder(int index)` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `java.util.List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder>` | `getExtensionOrBuilderList()` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.DescriptorProto` | `getMessageType(int index)` All top-level definitions in this file.
    `DescriptorProtos.DescriptorProto.Builder` | `getMessageTypeBuilder(int index)` All top-level definitions in this file.
    `java.util.List<DescriptorProtos.DescriptorProto.Builder>` | `getMessageTypeBuilderList()` All top-level definitions in this file.
    `int` | `getMessageTypeCount()` All top-level definitions in this file.
    `java.util.List<DescriptorProtos.DescriptorProto>` | `getMessageTypeList()` All top-level definitions in this file.
    `DescriptorProtos.DescriptorProtoOrBuilder` | `getMessageTypeOrBuilder(int index)` All top-level definitions in this file.
    `java.util.List<? extends DescriptorProtos.DescriptorProtoOrBuilder>` | `getMessageTypeOrBuilderList()` All top-level definitions in this file.
    `java.lang.String` | `getName()` file name, relative to root of source tree
    `ByteString` | `getNameBytes()` file name, relative to root of source tree
    `DescriptorProtos.FileOptions` | `getOptions()` `optional .google.protobuf.FileOptions options = 8;`
    `DescriptorProtos.FileOptions.Builder` | `getOptionsBuilder()` `optional .google.protobuf.FileOptions options = 8;`
    `DescriptorProtos.FileOptionsOrBuilder` | `getOptionsOrBuilder()` `optional .google.protobuf.FileOptions options = 8;`
    `java.lang.String` | `getPackage()` e.g.
    `ByteString` | `getPackageBytes()` e.g.
    `int` | `getPublicDependency(int index)` Indexes of the public imported files in the dependency list above.
    `int` | `getPublicDependencyCount()` Indexes of the public imported files in the dependency list above.
    `java.util.List<java.lang.Integer>` | `getPublicDependencyList()` Indexes of the public imported files in the dependency list above.
    `DescriptorProtos.ServiceDescriptorProto` | `getService(int index)` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.ServiceDescriptorProto.Builder` | `getServiceBuilder(int index)` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `java.util.List<DescriptorProtos.ServiceDescriptorProto.Builder>` | `getServiceBuilderList()` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `int` | `getServiceCount()` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `java.util.List<DescriptorProtos.ServiceDescriptorProto>` | `getServiceList()` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.ServiceDescriptorProtoOrBuilder` | `getServiceOrBuilder(int index)` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `java.util.List<? extends DescriptorProtos.ServiceDescriptorProtoOrBuilder>` | `getServiceOrBuilderList()` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.SourceCodeInfo` | `getSourceCodeInfo()` This field contains optional information about the original source code.
    `DescriptorProtos.SourceCodeInfo.Builder` | `getSourceCodeInfoBuilder()` This field contains optional information about the original source code.
    `DescriptorProtos.SourceCodeInfoOrBuilder` | `getSourceCodeInfoOrBuilder()` This field contains optional information about the original source code.
    `java.lang.String` | `getSyntax()` The syntax of the proto file.
    `ByteString` | `getSyntaxBytes()` The syntax of the proto file.
    `int` | `getWeakDependency(int index)` Indexes of the weak imported files in the dependency list.
    `int` | `getWeakDependencyCount()` Indexes of the weak imported files in the dependency list.
    `java.util.List<java.lang.Integer>` | `getWeakDependencyList()` Indexes of the weak imported files in the dependency list.
    `boolean` | `hasName()` file name, relative to root of source tree
    `boolean` | `hasOptions()` `optional .google.protobuf.FileOptions options = 8;`
    `boolean` | `hasPackage()` e.g.
    `boolean` | `hasSourceCodeInfo()` This field contains optional information about the original source code.
    `boolean` | `hasSyntax()` The syntax of the proto file.
    `protected GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` Get the FieldAccessorTable for this type.
    `boolean` | `isInitialized()` Returns true if all required fields in the message and all embedded messages are set, false otherwise.
    `DescriptorProtos.FileDescriptorProto.Builder` | `mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)` Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
    `DescriptorProtos.FileDescriptorProto.Builder` | `mergeFrom(DescriptorProtos.FileDescriptorProto other)`
    `DescriptorProtos.FileDescriptorProto.Builder` | `mergeFrom(Message other)` Merge `other` into the message being built.
    `DescriptorProtos.FileDescriptorProto.Builder` | `mergeOptions(DescriptorProtos.FileOptions value)` `optional .google.protobuf.FileOptions options = 8;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `mergeSourceCodeInfo(DescriptorProtos.SourceCodeInfo value)` This field contains optional information about the original source code.
    `DescriptorProtos.FileDescriptorProto.Builder` | `mergeUnknownFields(UnknownFieldSet unknownFields)` Merge some unknown fields into the `UnknownFieldSet` for this message.
    `DescriptorProtos.FileDescriptorProto.Builder` | `removeEnumType(int index)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `removeExtension(int index)` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `removeMessageType(int index)` All top-level definitions in this file.
    `DescriptorProtos.FileDescriptorProto.Builder` | `removeService(int index)` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `setDependency(int index, java.lang.String value)` Names of files imported by this file.
    `DescriptorProtos.FileDescriptorProto.Builder` | `setEnumType(int index, DescriptorProtos.EnumDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `setEnumType(int index, DescriptorProtos.EnumDescriptorProto value)` `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `setExtension(int index, DescriptorProtos.FieldDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `setExtension(int index, DescriptorProtos.FieldDescriptorProto value)` `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `setField(Descriptors.FieldDescriptor field, java.lang.Object value)` Sets a field to the given value.
    `DescriptorProtos.FileDescriptorProto.Builder` | `setMessageType(int index, DescriptorProtos.DescriptorProto.Builder builderForValue)` All top-level definitions in this file.
    `DescriptorProtos.FileDescriptorProto.Builder` | `setMessageType(int index, DescriptorProtos.DescriptorProto value)` All top-level definitions in this file.
    `DescriptorProtos.FileDescriptorProto.Builder` | `setName(java.lang.String value)` file name, relative to root of source tree
    `DescriptorProtos.FileDescriptorProto.Builder` | `setNameBytes(ByteString value)` file name, relative to root of source tree
    `DescriptorProtos.FileDescriptorProto.Builder` | `setOptions(DescriptorProtos.FileOptions.Builder builderForValue)` `optional .google.protobuf.FileOptions options = 8;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `setOptions(DescriptorProtos.FileOptions value)` `optional .google.protobuf.FileOptions options = 8;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `setPackage(java.lang.String value)` e.g.
    `DescriptorProtos.FileDescriptorProto.Builder` | `setPackageBytes(ByteString value)` e.g.
    `DescriptorProtos.FileDescriptorProto.Builder` | `setPublicDependency(int index, int value)` Indexes of the public imported files in the dependency list above.
    `DescriptorProtos.FileDescriptorProto.Builder` | `setRepeatedField(Descriptors.FieldDescriptor field, int index, java.lang.Object value)` Sets an element of a repeated field to the given value.
    `DescriptorProtos.FileDescriptorProto.Builder` | `setService(int index, DescriptorProtos.ServiceDescriptorProto.Builder builderForValue)` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `setService(int index, DescriptorProtos.ServiceDescriptorProto value)` `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
    `DescriptorProtos.FileDescriptorProto.Builder` | `setSourceCodeInfo(DescriptorProtos.SourceCodeInfo.Builder builderForValue)` This field contains optional information about the original source code.
    `DescriptorProtos.FileDescriptorProto.Builder` | `setSourceCodeInfo(DescriptorProtos.SourceCodeInfo value)` This field contains optional information about the original source code.
    `DescriptorProtos.FileDescriptorProto.Builder` | `setSyntax(java.lang.String value)` The syntax of the proto file.
    `DescriptorProtos.FileDescriptorProto.Builder` | `setSyntaxBytes(ByteString value)` The syntax of the proto file.
    `DescriptorProtos.FileDescriptorProto.Builder` | `setUnknownFields(UnknownFieldSet unknownFields)` Set the `UnknownFieldSet` for this message.
    `DescriptorProtos.FileDescriptorProto.Builder` | `setWeakDependency(int index, int value)` Indexes of the weak imported files in the dependency list.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

      `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Description copied from class: `GeneratedMessageV3.Builder`
      Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.
      Specified by:
        `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`

    - #### clear

          public DescriptorProtos.FileDescriptorProto.Builder clear()

      Description copied from class: `GeneratedMessageV3.Builder`
      Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
      Specified by:
        `clear` in interface `Message.Builder`
      Specified by:
        `clear` in interface `MessageLite.Builder`
      Overrides:
        `clear` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`

    - #### getDescriptorForType

          public Descriptors.Descriptor getDescriptorForType()

      Description copied from interface: `Message.Builder`
      Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.
      Specified by:
        `getDescriptorForType` in interface `Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`

    - #### getDefaultInstanceForType

          public DescriptorProtos.FileDescriptorProto getDefaultInstanceForType()

      Description copied from interface: `MessageLiteOrBuilder`
      Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.
      Specified by:
        `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `MessageOrBuilder`

    - #### build

          public DescriptorProtos.FileDescriptorProto build()

      Description copied from interface: `MessageLite.Builder`
      Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `build` in interface `Message.Builder`
      Specified by:
        `build` in interface `MessageLite.Builder`

    - #### buildPartial

          public DescriptorProtos.FileDescriptorProto buildPartial()

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `buildPartial` in interface `Message.Builder`
      Specified by:
        `buildPartial` in interface `MessageLite.Builder`

    - #### clone

          public DescriptorProtos.FileDescriptorProto.Builder clone()

      Description copied from interface: `MessageLite.Builder`
      Clones the Builder.
      Specified by:
        `clone` in interface `Message.Builder`
      Specified by:
        `clone` in interface `MessageLite.Builder`
      Overrides:
        `clone` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`
      See Also:
        `Object.clone()`

    - #### setField

          public DescriptorProtos.FileDescriptorProto.Builder setField(Descriptors.FieldDescriptor field,
                                                              java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets a field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getField(Descriptors.FieldDescriptor)` would return.
      Specified by:
        `setField` in interface `Message.Builder`
      Overrides:
        `setField` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`

    - #### clearField

          public DescriptorProtos.FileDescriptorProto.Builder clearField(Descriptors.FieldDescriptor field)

      Description copied from interface: `Message.Builder`
      Clears the field. This is exactly equivalent to calling the generated "clear" accessor method corresponding to the field.
      Specified by:
        `clearField` in interface `Message.Builder`
      Overrides:
        `clearField` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`

    - #### clearOneof

          public DescriptorProtos.FileDescriptorProto.Builder clearOneof(Descriptors.OneofDescriptor oneof)

      Description copied from class: `AbstractMessage.Builder`
      TODO(jieluo): Clear it when all subclasses have implemented this method.
      Specified by:
        `clearOneof` in interface `Message.Builder`
      Overrides:
        `clearOneof` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`

    - #### setRepeatedField

          public DescriptorProtos.FileDescriptorProto.Builder setRepeatedField(Descriptors.FieldDescriptor field,
                                                                      int index,
                                                                      java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets an element of a repeated field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getRepeatedField(Descriptors.FieldDescriptor,int)` would return.
      Specified by:
        `setRepeatedField` in interface `Message.Builder`
      Overrides:
        `setRepeatedField` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`

    - #### addRepeatedField

          public DescriptorProtos.FileDescriptorProto.Builder addRepeatedField(Descriptors.FieldDescriptor field,
                                                                      java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Like `setRepeatedField`, but appends the value as a new element.
      Specified by:
        `addRepeatedField` in interface `Message.Builder`
      Overrides:
        `addRepeatedField` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`

    - #### mergeFrom

          public DescriptorProtos.FileDescriptorProto.Builder mergeFrom(Message other)

      Description copied from interface: `Message.Builder`
      Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`). Merging occurs as follows. For each field:
      * For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
      * For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
      * For repeated fields, the elements in `other` are concatenated with the elements in this message. * For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved. This is equivalent to the `Message::MergeFrom` method in C++.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.FileDescriptorProto.Builder>`

    - #### mergeFrom

          public DescriptorProtos.FileDescriptorProto.Builder mergeFrom(DescriptorProtos.FileDescriptorProto other)

    - #### isInitialized

          public final boolean isInitialized()

      Description copied from interface: `MessageLiteOrBuilder`
      Returns true if all required fields in the message and all embedded messages are set, false otherwise.

      See also: `MessageOrBuilder.getInitializationErrorString()`

      Specified by:
        `isInitialized` in interface `MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`

    - #### mergeFrom

          public DescriptorProtos.FileDescriptorProto.Builder mergeFrom(CodedInputStream input,
                                                               ExtensionRegistryLite extensionRegistry)
                                                                 throws java.io.IOException

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Specified by:
        `mergeFrom` in interface `MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.FileDescriptorProto.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasName

          public boolean hasName()

           file name, relative to root of source tree

      `optional string name = 1;`
      Specified by:
        `hasName` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getName

          public java.lang.String getName()

           file name, relative to root of source tree

      `optional string name = 1;`
      Specified by:
        `getName` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getNameBytes

          public ByteString getNameBytes()

           file name, relative to root of source tree

      `optional string name = 1;`
      Specified by:
        `getNameBytes` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### setName

          public DescriptorProtos.FileDescriptorProto.Builder setName(java.lang.String value)

           file name, relative to root of source tree

      `optional string name = 1;`

    - #### clearName

          public DescriptorProtos.FileDescriptorProto.Builder clearName()

           file name, relative to root of source tree

      `optional string name = 1;`

    - #### setNameBytes

          public DescriptorProtos.FileDescriptorProto.Builder setNameBytes(ByteString value)

           file name, relative to root of source tree

      `optional string name = 1;`

    - #### hasPackage

          public boolean hasPackage()

           e.g. "foo", "foo.bar", etc.

      `optional string package = 2;`
      Specified by:
        `hasPackage` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getPackage

          public java.lang.String getPackage()

           e.g. "foo", "foo.bar", etc.

      `optional string package = 2;`
      Specified by:
        `getPackage` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getPackageBytes

          public ByteString getPackageBytes()

           e.g. "foo", "foo.bar", etc.

      `optional string package = 2;`
      Specified by:
        `getPackageBytes` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### setPackage

          public DescriptorProtos.FileDescriptorProto.Builder setPackage(java.lang.String value)

           e.g. "foo", "foo.bar", etc.

      `optional string package = 2;`

    - #### clearPackage

          public DescriptorProtos.FileDescriptorProto.Builder clearPackage()

           e.g. "foo", "foo.bar", etc.

      `optional string package = 2;`

    - #### setPackageBytes

          public DescriptorProtos.FileDescriptorProto.Builder setPackageBytes(ByteString value)

           e.g. "foo", "foo.bar", etc.

      `optional string package = 2;`

    - #### getDependencyList

          public ProtocolStringList getDependencyList()

           Names of files imported by this file.

      `repeated string dependency = 3;`
      Specified by:
        `getDependencyList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getDependencyCount

          public int getDependencyCount()

           Names of files imported by this file.

      `repeated string dependency = 3;`
      Specified by:
        `getDependencyCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getDependency

          public java.lang.String getDependency(int index)

           Names of files imported by this file.

      `repeated string dependency = 3;`
      Specified by:
        `getDependency` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getDependencyBytes

          public ByteString getDependencyBytes(int index)

           Names of files imported by this file.

      `repeated string dependency = 3;`
      Specified by:
        `getDependencyBytes` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### setDependency

          public DescriptorProtos.FileDescriptorProto.Builder setDependency(int index,
                                                                   java.lang.String value)

           Names of files imported by this file.

      `repeated string dependency = 3;`

    - #### addDependency

          public DescriptorProtos.FileDescriptorProto.Builder addDependency(java.lang.String value)

           Names of files imported by this file.

      `repeated string dependency = 3;`

    - #### addAllDependency

          public DescriptorProtos.FileDescriptorProto.Builder addAllDependency(java.lang.Iterable<java.lang.String> values)

           Names of files imported by this file.

      `repeated string dependency = 3;`

    - #### clearDependency

          public DescriptorProtos.FileDescriptorProto.Builder clearDependency()

           Names of files imported by this file.

      `repeated string dependency = 3;`

    - #### addDependencyBytes

          public DescriptorProtos.FileDescriptorProto.Builder addDependencyBytes(ByteString value)

           Names of files imported by this file.

      `repeated string dependency = 3;`

    - #### getPublicDependencyList

          public java.util.List<java.lang.Integer> getPublicDependencyList()

           Indexes of the public imported files in the dependency list above.

      `repeated int32 public_dependency = 10;`
      Specified by:
        `getPublicDependencyList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getPublicDependencyCount

          public int getPublicDependencyCount()

           Indexes of the public imported files in the dependency list above.

      `repeated int32 public_dependency = 10;`
      Specified by:
        `getPublicDependencyCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getPublicDependency

          public int getPublicDependency(int index)

           Indexes of the public imported files in the dependency list above.

      `repeated int32 public_dependency = 10;`
      Specified by:
        `getPublicDependency` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### setPublicDependency

          public DescriptorProtos.FileDescriptorProto.Builder setPublicDependency(int index,
                                                                         int value)

           Indexes of the public imported files in the dependency list above.

      `repeated int32 public_dependency = 10;`

    - #### addPublicDependency

          public DescriptorProtos.FileDescriptorProto.Builder addPublicDependency(int value)

           Indexes of the public imported files in the dependency list above.

      `repeated int32 public_dependency = 10;`

    - #### addAllPublicDependency

          public DescriptorProtos.FileDescriptorProto.Builder addAllPublicDependency(java.lang.Iterable<? extends java.lang.Integer> values)

           Indexes of the public imported files in the dependency list above.

      `repeated int32 public_dependency = 10;`

    - #### clearPublicDependency

          public DescriptorProtos.FileDescriptorProto.Builder clearPublicDependency()

           Indexes of the public imported files in the dependency list above.

      `repeated int32 public_dependency = 10;`

    - #### getWeakDependencyList

          public java.util.List<java.lang.Integer> getWeakDependencyList()

           Indexes of the weak imported files in the dependency list.
           For Google-internal migration only. Do not use.

      `repeated int32 weak_dependency = 11;`
      Specified by:
        `getWeakDependencyList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getWeakDependencyCount

          public int getWeakDependencyCount()

           Indexes of the weak imported files in the dependency list.
           For Google-internal migration only. Do not use.

      `repeated int32 weak_dependency = 11;`
      Specified by:
        `getWeakDependencyCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getWeakDependency

          public int getWeakDependency(int index)

           Indexes of the weak imported files in the dependency list.
           For Google-internal migration only. Do not use.

      `repeated int32 weak_dependency = 11;`
      Specified by:
        `getWeakDependency` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### setWeakDependency

          public DescriptorProtos.FileDescriptorProto.Builder setWeakDependency(int index,
                                                                       int value)

           Indexes of the weak imported files in the dependency list.
           For Google-internal migration only. Do not use.

      `repeated int32 weak_dependency = 11;`

    - #### addWeakDependency

          public DescriptorProtos.FileDescriptorProto.Builder addWeakDependency(int value)

           Indexes of the weak imported files in the dependency list.
           For Google-internal migration only. Do not use.

      `repeated int32 weak_dependency = 11;`

    - #### addAllWeakDependency

          public DescriptorProtos.FileDescriptorProto.Builder addAllWeakDependency(java.lang.Iterable<? extends java.lang.Integer> values)

           Indexes of the weak imported files in the dependency list.
           For Google-internal migration only. Do not use.

      `repeated int32 weak_dependency = 11;`

    - #### clearWeakDependency

          public DescriptorProtos.FileDescriptorProto.Builder clearWeakDependency()

           Indexes of the weak imported files in the dependency list.
           For Google-internal migration only. Do not use.

      `repeated int32 weak_dependency = 11;`

    - #### getMessageTypeList

          public java.util.List<DescriptorProtos.DescriptorProto> getMessageTypeList()

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`
      Specified by:
        `getMessageTypeList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getMessageTypeCount

          public int getMessageTypeCount()

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`
      Specified by:
        `getMessageTypeCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getMessageType

          public DescriptorProtos.DescriptorProto getMessageType(int index)

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`
      Specified by:
        `getMessageType` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### setMessageType

          public DescriptorProtos.FileDescriptorProto.Builder setMessageType(int index,
                                                                    DescriptorProtos.DescriptorProto value)

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### setMessageType

          public DescriptorProtos.FileDescriptorProto.Builder setMessageType(int index,
                                                                    DescriptorProtos.DescriptorProto.Builder builderForValue)

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### addMessageType

          public DescriptorProtos.FileDescriptorProto.Builder addMessageType(DescriptorProtos.DescriptorProto value)

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### addMessageType

          public DescriptorProtos.FileDescriptorProto.Builder addMessageType(int index,
                                                                    DescriptorProtos.DescriptorProto value)

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### addMessageType

          public DescriptorProtos.FileDescriptorProto.Builder addMessageType(DescriptorProtos.DescriptorProto.Builder builderForValue)

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### addMessageType

          public DescriptorProtos.FileDescriptorProto.Builder addMessageType(int index,
                                                                    DescriptorProtos.DescriptorProto.Builder builderForValue)

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### addAllMessageType

          public DescriptorProtos.FileDescriptorProto.Builder addAllMessageType(java.lang.Iterable<? extends DescriptorProtos.DescriptorProto> values)

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### clearMessageType

          public DescriptorProtos.FileDescriptorProto.Builder clearMessageType()

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### removeMessageType

          public DescriptorProtos.FileDescriptorProto.Builder removeMessageType(int index)

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### getMessageTypeBuilder

          public DescriptorProtos.DescriptorProto.Builder getMessageTypeBuilder(int index)

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### getMessageTypeOrBuilder

          public DescriptorProtos.DescriptorProtoOrBuilder getMessageTypeOrBuilder(int index)

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`
      Specified by:
        `getMessageTypeOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getMessageTypeOrBuilderList

          public java.util.List<? extends DescriptorProtos.DescriptorProtoOrBuilder> getMessageTypeOrBuilderList()

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`
      Specified by:
        `getMessageTypeOrBuilderList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### addMessageTypeBuilder

          public DescriptorProtos.DescriptorProto.Builder addMessageTypeBuilder()

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### addMessageTypeBuilder

          public DescriptorProtos.DescriptorProto.Builder addMessageTypeBuilder(int index)

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### getMessageTypeBuilderList

          public java.util.List<DescriptorProtos.DescriptorProto.Builder> getMessageTypeBuilderList()

           All top-level definitions in this file.

      `repeated .google.protobuf.DescriptorProto message_type = 4;`

    - #### getEnumTypeList

          public java.util.List<DescriptorProtos.EnumDescriptorProto> getEnumTypeList()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
      Specified by:
        `getEnumTypeList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getEnumTypeCount

          public int getEnumTypeCount()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
      Specified by:
        `getEnumTypeCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getEnumType

          public DescriptorProtos.EnumDescriptorProto getEnumType(int index)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
      Specified by:
        `getEnumType` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### setEnumType

          public DescriptorProtos.FileDescriptorProto.Builder setEnumType(int index,
                                                                 DescriptorProtos.EnumDescriptorProto value)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### setEnumType

          public DescriptorProtos.FileDescriptorProto.Builder setEnumType(int index,
                                                                 DescriptorProtos.EnumDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### addEnumType

          public DescriptorProtos.FileDescriptorProto.Builder addEnumType(DescriptorProtos.EnumDescriptorProto value)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### addEnumType

          public DescriptorProtos.FileDescriptorProto.Builder addEnumType(int index,
                                                                 DescriptorProtos.EnumDescriptorProto value)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### addEnumType

          public DescriptorProtos.FileDescriptorProto.Builder addEnumType(DescriptorProtos.EnumDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### addEnumType

          public DescriptorProtos.FileDescriptorProto.Builder addEnumType(int index,
                                                                 DescriptorProtos.EnumDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### addAllEnumType

          public DescriptorProtos.FileDescriptorProto.Builder addAllEnumType(java.lang.Iterable<? extends DescriptorProtos.EnumDescriptorProto> values)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### clearEnumType

          public DescriptorProtos.FileDescriptorProto.Builder clearEnumType()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### removeEnumType

          public DescriptorProtos.FileDescriptorProto.Builder removeEnumType(int index)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### getEnumTypeBuilder

          public DescriptorProtos.EnumDescriptorProto.Builder getEnumTypeBuilder(int index)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### getEnumTypeOrBuilder

          public DescriptorProtos.EnumDescriptorProtoOrBuilder getEnumTypeOrBuilder(int index)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
      Specified by:
        `getEnumTypeOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getEnumTypeOrBuilderList

          public java.util.List<? extends DescriptorProtos.EnumDescriptorProtoOrBuilder> getEnumTypeOrBuilderList()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`
      Specified by:
        `getEnumTypeOrBuilderList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### addEnumTypeBuilder

          public DescriptorProtos.EnumDescriptorProto.Builder addEnumTypeBuilder()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### addEnumTypeBuilder

          public DescriptorProtos.EnumDescriptorProto.Builder addEnumTypeBuilder(int index)

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### getEnumTypeBuilderList

          public java.util.List<DescriptorProtos.EnumDescriptorProto.Builder> getEnumTypeBuilderList()

      `repeated .google.protobuf.EnumDescriptorProto enum_type = 5;`

    - #### getServiceList

          public java.util.List<DescriptorProtos.ServiceDescriptorProto> getServiceList()

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
      Specified by:
        `getServiceList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getServiceCount

          public int getServiceCount()

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
      Specified by:
        `getServiceCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getService

          public DescriptorProtos.ServiceDescriptorProto getService(int index)

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
      Specified by:
        `getService` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### setService

          public DescriptorProtos.FileDescriptorProto.Builder setService(int index,
                                                                DescriptorProtos.ServiceDescriptorProto value)

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### setService

          public DescriptorProtos.FileDescriptorProto.Builder setService(int index,
                                                                DescriptorProtos.ServiceDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### addService

          public DescriptorProtos.FileDescriptorProto.Builder addService(DescriptorProtos.ServiceDescriptorProto value)

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### addService

          public DescriptorProtos.FileDescriptorProto.Builder addService(int index,
                                                                DescriptorProtos.ServiceDescriptorProto value)

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### addService

          public DescriptorProtos.FileDescriptorProto.Builder addService(DescriptorProtos.ServiceDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### addService

          public DescriptorProtos.FileDescriptorProto.Builder addService(int index,
                                                                DescriptorProtos.ServiceDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### addAllService

          public DescriptorProtos.FileDescriptorProto.Builder addAllService(java.lang.Iterable<? extends DescriptorProtos.ServiceDescriptorProto> values)

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### clearService

          public DescriptorProtos.FileDescriptorProto.Builder clearService()

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### removeService

          public DescriptorProtos.FileDescriptorProto.Builder removeService(int index)

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### getServiceBuilder

          public DescriptorProtos.ServiceDescriptorProto.Builder getServiceBuilder(int index)

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### getServiceOrBuilder

          public DescriptorProtos.ServiceDescriptorProtoOrBuilder getServiceOrBuilder(int index)

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
      Specified by:
        `getServiceOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getServiceOrBuilderList

          public java.util.List<? extends DescriptorProtos.ServiceDescriptorProtoOrBuilder> getServiceOrBuilderList()

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`
      Specified by:
        `getServiceOrBuilderList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### addServiceBuilder

          public DescriptorProtos.ServiceDescriptorProto.Builder addServiceBuilder()

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### addServiceBuilder

          public DescriptorProtos.ServiceDescriptorProto.Builder addServiceBuilder(int index)

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### getServiceBuilderList

          public java.util.List<DescriptorProtos.ServiceDescriptorProto.Builder> getServiceBuilderList()

      `repeated .google.protobuf.ServiceDescriptorProto service = 6;`

    - #### getExtensionList

          public java.util.List<DescriptorProtos.FieldDescriptorProto> getExtensionList()

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
      Specified by:
        `getExtensionList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getExtensionCount

          public int getExtensionCount()

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
      Specified by:
        `getExtensionCount` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getExtension

          public DescriptorProtos.FieldDescriptorProto getExtension(int index)

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
      Specified by:
        `getExtension` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### setExtension

          public DescriptorProtos.FileDescriptorProto.Builder setExtension(int index,
                                                                  DescriptorProtos.FieldDescriptorProto value)

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### setExtension

          public DescriptorProtos.FileDescriptorProto.Builder setExtension(int index,
                                                                  DescriptorProtos.FieldDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### addExtension

          public DescriptorProtos.FileDescriptorProto.Builder addExtension(DescriptorProtos.FieldDescriptorProto value)

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### addExtension

          public DescriptorProtos.FileDescriptorProto.Builder addExtension(int index,
                                                                  DescriptorProtos.FieldDescriptorProto value)

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### addExtension

          public DescriptorProtos.FileDescriptorProto.Builder addExtension(DescriptorProtos.FieldDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### addExtension

          public DescriptorProtos.FileDescriptorProto.Builder addExtension(int index,
                                                                  DescriptorProtos.FieldDescriptorProto.Builder builderForValue)

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### addAllExtension

          public DescriptorProtos.FileDescriptorProto.Builder addAllExtension(java.lang.Iterable<? extends DescriptorProtos.FieldDescriptorProto> values)

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### clearExtension

          public DescriptorProtos.FileDescriptorProto.Builder clearExtension()

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### removeExtension

          public DescriptorProtos.FileDescriptorProto.Builder removeExtension(int index)

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### getExtensionBuilder

          public DescriptorProtos.FieldDescriptorProto.Builder getExtensionBuilder(int index)

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### getExtensionOrBuilder

          public DescriptorProtos.FieldDescriptorProtoOrBuilder getExtensionOrBuilder(int index)

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
      Specified by:
        `getExtensionOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getExtensionOrBuilderList

          public java.util.List<? extends DescriptorProtos.FieldDescriptorProtoOrBuilder> getExtensionOrBuilderList()

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`
      Specified by:
        `getExtensionOrBuilderList` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### addExtensionBuilder

          public DescriptorProtos.FieldDescriptorProto.Builder addExtensionBuilder()

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### addExtensionBuilder

          public DescriptorProtos.FieldDescriptorProto.Builder addExtensionBuilder(int index)

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### getExtensionBuilderList

          public java.util.List<DescriptorProtos.FieldDescriptorProto.Builder> getExtensionBuilderList()

      `repeated .google.protobuf.FieldDescriptorProto extension = 7;`

    - #### hasOptions

          public boolean hasOptions()

      `optional .google.protobuf.FileOptions options = 8;`
      Specified by:
        `hasOptions` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getOptions

          public DescriptorProtos.FileOptions getOptions()

      `optional .google.protobuf.FileOptions options = 8;`
      Specified by:
        `getOptions` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### setOptions

          public DescriptorProtos.FileDescriptorProto.Builder setOptions(DescriptorProtos.FileOptions value)

      `optional .google.protobuf.FileOptions options = 8;`

    - #### setOptions

          public DescriptorProtos.FileDescriptorProto.Builder setOptions(DescriptorProtos.FileOptions.Builder builderForValue)

      `optional .google.protobuf.FileOptions options = 8;`

    - #### mergeOptions

          public DescriptorProtos.FileDescriptorProto.Builder mergeOptions(DescriptorProtos.FileOptions value)

      `optional .google.protobuf.FileOptions options = 8;`

    - #### clearOptions

          public DescriptorProtos.FileDescriptorProto.Builder clearOptions()

      `optional .google.protobuf.FileOptions options = 8;`

    - #### getOptionsBuilder

          public DescriptorProtos.FileOptions.Builder getOptionsBuilder()

      `optional .google.protobuf.FileOptions options = 8;`

    - #### getOptionsOrBuilder

          public DescriptorProtos.FileOptionsOrBuilder getOptionsOrBuilder()

      `optional .google.protobuf.FileOptions options = 8;`
      Specified by:
        `getOptionsOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### hasSourceCodeInfo

          public boolean hasSourceCodeInfo()

           This field contains optional information about the original source code.
           You may safely remove this entire field without harming runtime
           functionality of the descriptors -- the information is needed only by
           development tools.

      `optional .google.protobuf.SourceCodeInfo source_code_info = 9;`
      Specified by:
        `hasSourceCodeInfo` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getSourceCodeInfo

          public DescriptorProtos.SourceCodeInfo getSourceCodeInfo()

           This field contains optional information about the original source code.
           You may safely remove this entire field without harming runtime
           functionality of the descriptors -- the information is needed only by
           development tools.

      `optional .google.protobuf.SourceCodeInfo source_code_info = 9;`
      Specified by:
        `getSourceCodeInfo` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### setSourceCodeInfo

          public DescriptorProtos.FileDescriptorProto.Builder setSourceCodeInfo(DescriptorProtos.SourceCodeInfo value)

           This field contains optional information about the original source code.
           You may safely remove this entire field without harming runtime
           functionality of the descriptors -- the information is needed only by
           development tools.

      `optional .google.protobuf.SourceCodeInfo source_code_info = 9;`

    - #### setSourceCodeInfo

          public DescriptorProtos.FileDescriptorProto.Builder setSourceCodeInfo(DescriptorProtos.SourceCodeInfo.Builder builderForValue)

           This field contains optional information about the original source code.
           You may safely remove this entire field without harming runtime
           functionality of the descriptors -- the information is needed only by
           development tools.

      `optional .google.protobuf.SourceCodeInfo source_code_info = 9;`

    - #### mergeSourceCodeInfo

          public DescriptorProtos.FileDescriptorProto.Builder mergeSourceCodeInfo(DescriptorProtos.SourceCodeInfo value)

           This field contains optional information about the original source code.
           You may safely remove this entire field without harming runtime
           functionality of the descriptors -- the information is needed only by
           development tools.

      `optional .google.protobuf.SourceCodeInfo source_code_info = 9;`

    - #### clearSourceCodeInfo

          public DescriptorProtos.FileDescriptorProto.Builder clearSourceCodeInfo()

           This field contains optional information about the original source code.
           You may safely remove this entire field without harming runtime
           functionality of the descriptors -- the information is needed only by
           development tools.

      `optional .google.protobuf.SourceCodeInfo source_code_info = 9;`

    - #### getSourceCodeInfoBuilder

          public DescriptorProtos.SourceCodeInfo.Builder getSourceCodeInfoBuilder()

           This field contains optional information about the original source code.
           You may safely remove this entire field without harming runtime
           functionality of the descriptors -- the information is needed only by
           development tools.

      `optional .google.protobuf.SourceCodeInfo source_code_info = 9;`

    - #### getSourceCodeInfoOrBuilder

          public DescriptorProtos.SourceCodeInfoOrBuilder getSourceCodeInfoOrBuilder()

           This field contains optional information about the original source code.
           You may safely remove this entire field without harming runtime
           functionality of the descriptors -- the information is needed only by
           development tools.

      `optional .google.protobuf.SourceCodeInfo source_code_info = 9;`
      Specified by:
        `getSourceCodeInfoOrBuilder` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### hasSyntax

          public boolean hasSyntax()

           The syntax of the proto file.
           The supported values are "proto2" and "proto3".

      `optional string syntax = 12;`
      Specified by:
        `hasSyntax` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getSyntax

          public java.lang.String getSyntax()

           The syntax of the proto file.
           The supported values are "proto2" and "proto3".

      `optional string syntax = 12;`
      Specified by:
        `getSyntax` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### getSyntaxBytes

          public ByteString getSyntaxBytes()

           The syntax of the proto file.
           The supported values are "proto2" and "proto3".

      `optional string syntax = 12;`
      Specified by:
        `getSyntaxBytes` in interface `DescriptorProtos.FileDescriptorProtoOrBuilder`

    - #### setSyntax

          public DescriptorProtos.FileDescriptorProto.Builder setSyntax(java.lang.String value)

           The syntax of the proto file.
           The supported values are "proto2" and "proto3".

      `optional string syntax = 12;`

    - #### clearSyntax

          public DescriptorProtos.FileDescriptorProto.Builder clearSyntax()

           The syntax of the proto file.
           The supported values are "proto2" and "proto3".

      `optional string syntax = 12;`

    - #### setSyntaxBytes

          public DescriptorProtos.FileDescriptorProto.Builder setSyntaxBytes(ByteString value)

           The syntax of the proto file.
           The supported values are "proto2" and "proto3".

      `optional string syntax = 12;`

    - #### setUnknownFields

          public final DescriptorProtos.FileDescriptorProto.Builder setUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Set the `UnknownFieldSet` for this message.
      Specified by:
        `setUnknownFields` in interface `Message.Builder`
      Overrides:
        `setUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`

    - #### mergeUnknownFields

          public final DescriptorProtos.FileDescriptorProto.Builder mergeUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Merge some unknown fields into the `UnknownFieldSet` for this message.
      Specified by:
        `mergeUnknownFields` in interface `Message.Builder`
      Overrides:
        `mergeUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.FileDescriptorProto.Builder>`